package com.bwie.common.domain;

import lombok.Data;

import java.util.Date;

/**
 * 还款计划
 */
@Data
public class Repayment {
    private Integer id;
    private Integer loanId;
    /**
     * 还款金额
     */
    private Double repaymentAmount;

    /**
     * 本期利息
     */
    private Double currentProfit;

    /**
     * 状态 0未还款  1已还款
     */
    private Integer status;

    /**
     * 代表还款第几期
     */
    private Integer period;

    /**
     * 还款日期
     */
    private Date repaymentDate;
}
