package com.bwie.es;

import com.bwie.es.service.impl.EsServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.Bean;

@SpringBootApplication
@EnableFeignClients
public class EsApplication {
    @Autowired
    private EsServiceImpl esService;

    public static void main(String[] args) {
        SpringApplication.run(EsApplication.class);
    }

    @Bean
    public void data(){
        esService.dataToEs();
    }
}
