package com.bwie.es.feign;

import com.bwie.common.domain.response.Loan;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

import java.util.List;

@FeignClient("bwie-loan")
public interface LoanFeignService {
    /**
     * 借款数据
     * @return
     */
    @GetMapping("loanData")
    public Result<List<Loan>> loanData();
}
