package com.bwie.loan.mapper;

import com.bwie.common.domain.request.LoanRequest;
import com.bwie.common.domain.response.Loan;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.List;
@Mapper
@Component
public interface LoanMapper {
    List<Loan> loanData();

    void insertLoan(LoanRequest loanRequest);

    Loan findLoanById(@Param("loanId") Integer loanId);

    void updateStatus(@Param("id") String id, @Param("status") Integer status);
}
