package com.bwie.loan.service;

import com.bwie.common.domain.Repayment;
import com.bwie.common.domain.response.Loan;
import com.bwie.common.result.Result;

import java.util.List;

public interface RepaymentService {
    Result<List<Repayment>> repaymentListByLoanId(Integer loanId);

    Result prepayment(Repayment repayment);

    Result insertRepayment(Loan loan);
}
