package com.bwie.auth.service;

import com.bwie.common.domain.request.LoginRequest;
import com.bwie.common.domain.response.JwtResponse;
import com.bwie.common.domain.response.UserResponse;
import com.bwie.common.result.Result;

public interface AuthService {
    Result<JwtResponse> login(LoginRequest loginRequest);

    Result<UserResponse> getInfo();

    Result logout();
}
