package com.bwie.common.domain.request;

import lombok.Data;

import java.util.Date;
@Data
public class LoanRequest {
    private Integer id;
    /**
     * 借款金额
     */
    private Double loanAmount;

    /**
     * 期数
     */
    private Integer periods;

    /**
     * 手续费
     */
    private Double handlingCharge;

    /**
     * 借款人
     */
    private Integer createBy;

    /**
     * 借款时间
     */
    private Date createTime;

    /**
     * 放款机构id
     */
    private Integer lendingInstitutionId;


    /**
     * 状态 0申请中  1申请通过  2申请失败
     */
    private Integer status;

    /**
     * 利息
     */
    private Double loanInterest;
}
