package com.bwie.common.domain.response;

import lombok.Data;

import java.util.Date;

@Data
public class Loan {
    private Integer id;
    /**
     * 借款金额
     */
    private Double loanAmount;

    /**
     * 期数
     */
    private Integer periods;

    /**
     * 最近还款时间
     */
    private Date lastPaymentDate;

    /**
     * 手续费
     */
    private Double handlingCharge;

    /**
     * 借款人
     */
    private Integer createBy;

    /**
     * 借款时间
     */
    private Date createTime;

    /**
     * 放款机构id
     */
    private Integer lendingInstitutionId;

    /**
     * 放款机构
     */
    private String lendingInstitution;

    /**
     * 状态 0申请中  1申请通过  2申请失败
     */
    private Integer status;

    /**
     * 已还本金
     */
    private Double repaidPrincipal;

    /**
     * 未还本金
     */
    private Double outstandingPrincipal;

    /**
     * 利息
     */
    private Double loanInterest;
}
