package com.bwie.loan.mapper;

import com.bwie.common.domain.Repayment;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.List;

@Mapper
@Component
public interface RepaymentMapper {
    List<Repayment> repaymentListByLoanId(@Param("loanId") Integer loanId);

    void updateRepay(Repayment repayment);

    void insertRepayment(Repayment repayment);
}
